Subject: Re: bug#30399: 27.0.50; tooltips are broken

From: martin rudalics <[email-masked]>
Date: Sat, 10 Feb 2018 10:47:19 +0100

> I know, and the code that revealed this bug does use tooltip-show; but
 > the above difference between them puzzled me, since tooltip-show is a
 > wrapper around x-show-tip.

Good catch - that bug was with us for quite some time.

 > I generally use the default value of x-gtk-use-system-tooltips, but for
 > appointments I use a custom tooltip, which AFAICT requires setting
 > x-gtk-use-system-tooltips to nil.  Is there some way to achieve this
 > without let-binding (or using setq twice within the function defining
 > the appointment tooltip)?

Let-binding is certainly more convenient in this regard.  But a
package should (IMO) make it customizable whether the user value of
'x-gtk-use-system-tooltips' should be applied for appointments too.

 > Thanks for the quick fix.

Thanks for the very helpful report.

Bug closed, martin